/* You can add global styles to this file, and also import other style files */
@import url('https://fonts.googleapis.com/css?family=Roboto+Slab&display=swap');
@import '../node_modules/normalize.css/normalize.css';

$section: #ffe1e1;
$gray: #f8f8f8;
$text-gray: #383838;
$icons: url('../images/spritesheet/icons.png');
$icon_margin_size_right: -130px;
$icon_margin_size_down: -90px;

html {
  position: relative;
  min-height: 100%;
  font-family: 'Roboto Slab', serif;
  width: 100%;
  color: $text-gray;
  background-color: $gray;
}

.wrapper {
  width: 80%;
  margin: auto;
  max-width: 1800px;
}

button,
.btn {
  all: unset;
  border: none;
  background-color: red;
  color: white;
  padding: 10px 15px;
  cursor: pointer;
  text-align: center;
  transition: background-color 500ms ease;
}

.active {
  background-color: lightgray;
}

.sticky {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 5;
}

textarea {
  resize: none;
}

@media screen and (max-width: 1200px) {
  main .wrapper {
    flex-direction: column;
    position: relative;

    .ham {
      display: block;
      width: 100%;
      position: relative;
      height: 50px;

      #ham {
        display: block;
        position: absolute;
        right: 0;
      }
    }
  }

  .filters {
    width: 100%;

    .content {
      max-height: 0;
      overflow: hidden;
      transition: max-height 200ms ease-out;
    }
  }
}

// input {
//   padding: 3px;
//   transition: outline 100ms ease-in;
// }

// input:focus {
//   outline: none;

//   &.ng-invalid {
//     outline: 1px solid rgb(255, 0, 0, 0.6);
//   }
// }




input[type='number']::-webkit-inner-spin-button,
input[type='number']::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}